const express = require('express');
const { PORT, BOXES } = require('./config');

const SkyRemote = require('sky-remote');

const app = express();

app.use(express.static("public"));
app.use(express.json());

app.get("/boxes", (req, res) => {
    return res.json({success: true, boxes: BOXES})
})

app.post("/control/:name", (req, res) => {
    if (!BOXES.hasOwnProperty(req.params.name)) {
        return res.status(404).json({ success: false, error: "Box Not Found" });
    }
    const ip = BOXES[req.params.name];
    
    const control = new SkyRemote(ip);

    control.press(req.body.command, function(err) {
        if (err) {
            console.log("[Sky] >> Error sending command: " + err);
            return res.status(500).json({success: false, error: err});
        }
        return res.status(200).json({success: true, message: "Sent Command!"});
    })
})

app.listen(PORT, () => {
  console.log(`[Express] >> Server running on port ${PORT}`);
});
